
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Silverlight编程模型、XAML和HTML DOM / iVAN</title>

    <meta name="description" content="Silverlight编程模型、XAML和HTML DOM 基于 Silverlight 的应用程序使用浏览器宿主中的 Silverlight 插件通过一个基于浏览器的文档对 象模型 (DOM) 和一个包括对象树概念的特定于 Silverlight 的编程模型来公开其功能.如果使用 Silverlight 编程模型,则可以选择以下三个 API 变体之一:由浏览器解释的 JavaScript.托管代码或 由动态语言运行时 (DLR) 解释的动态语言.本主题讨论 DOM 与各可能的 API 变体之间的关系,此外, 还讨论各种 API 和应用程序模型如何使用">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Silverlight编程模型、XAML和HTML DOM</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>基于 Silverlight 的应用程序使用浏览器宿主中的 Silverlight 插件通过一个基于浏览器的文档对 象模型 (DOM) 和一个包括对象树概念的特定于 Silverlight 的编程模型来公开其功能。如果使用 Silverlight 编程模型，则可以选择以下三个 API 变体之一：由浏览器解释的 JavaScript、托管代码或 由动态语言运行时 (DLR) 解释的动态语言。本主题讨论 DOM 与各可能的 API 变体之间的关系，此外， 还讨论各种 API 和应用程序模型如何使用 XAML 标记。</p>
<p>文档对象模型</p>
<p>文档对象模型 (DOM) 是一个非特定平台、且非特定语言的通用编程概念。DOM 提供文档的结构化表示 形式（例如网页）以及用于访问和操作文档的结构、样式和内容的指定方式。每个可以将 Silverlight 运行时作为插件承载的浏览器都实现一个 HTML DOM，该模型公开 HTML 页的元素，包括 Silverlight 插 件。</p>
<p>万维网联合会 (W3C) DOM 标准形成了在最广泛使用的浏览器中实现的 DOM 的基础。但大多数浏览器 都提供超越 W3C 标准的扩展。因此，开发人员需要认识到这些差异，才能创建非特定平台的内容。下表 中列出的浏览器 DOM 都可以访问 Silverlight。</p>
<table>
<tbody>
<tr>
<td>DOM</td>
<td>说明</td>
</tr>
<tr>
<td>Gecko DOM（Mozilla、Firefox、Netscape 版本 6 及更高版本以及其他基于 Mozilla 的浏览 器）</td>
<td>Gecko 是一个软件组件，用于处理 HTML 的分析、页面布局、文档对象模型以及整个应用程序 的呈现。</td>
</tr>
<tr>
<td>DHTML DOM (Internet Explorer)</td>
<td>动态 HTML (DHTML) DOM 为作者提供对其 Web 文档的各个组件（从各个元素到容器）的直接 可编程访问。</td>
</tr>
</tbody>
</table>
<p>创建 Silverlight 插件后（一般使用 HTML object 标记），可以通过引用插件实例的 ID 在 HTML DOM 中检索对该插件实例的引用。下面的 JavaScript 示例演示如何使用 document.getElementById 方 法检索 Silverlight 插件的 ID。</p>
<p>var　plugin_1　=　document.getElementById("SLPlugin_1");</p>
<p>Silverlight 编程模型</p>
<p>Silverlight　API 将它的一组对象定义为对象树，这样您就可以通过加载 XAML 来填充基于 Silverlight 的应用程序的初始内容，然后在运行时调整对象树。Silverlight 对象树是通过 Silverlight 插件（创建为网页上的插件实例）公开的。Silverlight 对 Microsoft Internet Explorer 使用 ActiveX 插件模型，对其他浏览器使用 Netscape API 插件模型。可以使用托管 API 或 JavaScript API 针对 Silverlight 进行编程，大多数情况下使用托管 API。</p>
<p>XAML 和 Silverlight 对象树</p>
<p>Silverlight 插件最初由 object 标记的 source 参数声明（如果使用托管 API，之后将由 Silverlight 应用程序模型进行处理），为该插件提供内容实际上就是在标记中定义 XAML 元素，这些元 素具有包含一个根元素的分层树结构。经过分析的 XAML 创建 Silverlight 的初始对象树。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:34:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e6%8f%92%e4%bb%b6/" title="插件">插件</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9e%8b/" title="模型">模型</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8%e5%af%b9%e8%b1%a1%e6%a8%a1%e5%9e%8b/" title="浏览器对象模型">浏览器对象模型</a>, <a href="https://www.iamivan.net/tag/silverlight/" title="silverlight">silverlight</a>, <a href="https://www.iamivan.net/tag/dom/" title="dom">dom</a>, <a href="https://www.iamivan.net/tag/%e6%8f%92%e4%bb%b6%e7%bc%96%e7%a8%8b/" title="插件编程">插件编程</a>, <a href="https://www.iamivan.net/tag/dom%e7%bc%96%e7%a8%8b/" title="dom编程">dom编程</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0%e6%8f%92%e4%bb%b6%e5%8a%a8%e6%80%81/" title="元素插件动态">元素插件动态</a>, <a href="https://www.iamivan.net/tag/xaml/" title="xaml">xaml</a>, <a href="https://www.iamivan.net/tag/%e6%a0%91%e6%8f%92%e4%bb%b6/" title="树插件">树插件</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b%e6%a8%a1%e5%9e%8b/" title="编程模型">编程模型</a>, <a href="https://www.iamivan.net/tag/dom%e6%a8%a1%e5%9e%8b/" title="DOM模型">DOM模型</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Silverlight编程模型、XAML和HTML DOM的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RRxxp.html" rel="bookmark">Silverlight：应用程序和编程模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大多数基于 Silverlight 的应用程序以托管代码编写并充分利用 Silverlight 应用程序模型.但是,您可以选择使用简化的编程模型. Silverlight 为应用程序开发提供以下两个截然不同的模型: Silverlight 的托管 API,它使用在 Silverlight 的公共语言运行时 (CLR) 上运行的代码.可以将托管 API 用于已编译的语言(如 Visual Basic 和 C#) 或动态语言(如 IronPython 和 IronRuby). Silverlight			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq7ax3z.html" rel="bookmark">重新想象 Windows 8 Store Apps &lpar;44&rpar; - 多线程之异步编程&colon; 经典和最新的异步编程模型&comma; IAsyncInfo 与 Task 相互转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:重新想象 Windows 8 Store Apps (44) - 多线程之异步编程: 经典和最新的异步编程模型, IAsyncInfo 与 Task 相互转换 [源码下载] 重新想象 Windows 8 Store Apps (44) - 多线程之异步编程: 经典和最新的异步编程模型, IAsyncInfo 与 Task 相互转换 作者:webabcd 介绍重新想象 Windows 8 Store Apps 之 异步编程 经典的异步编程模型(IAsyncResult) 最新的异步编程模型(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bo1vpv.html" rel="bookmark">PAI分布式机器学习平台编程模型演进之路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是PAI? PAI的全称是Platform of Artificial Intelligence,主要在使用机器学习做模型训练时提供整套链路.机器学习即服务,把机器学习作为服务对外推出,大家可以在平台上使用比较先进的机器学习算法.将多种深度学习框架集成到PAI中,同时基于深度学习框架包装成更加易用的组件.具备异构的计算服务能力,把CPU计算能力和GPU计算能力统一调度起来,异构的计算能力透明,大家的注意力是哪些机器学习算法可以帮助业务,不用关心底层资源的申请和分配.PAI也支持在线预测服务,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnYvrM.html" rel="bookmark">续实例解析SOCKET编程模型之异步通信篇（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程|异步 .NET 框架的 Socket 类实际上是 Winsock32 API 提供的套接字服务的托管代码版本.其中Socket 类为网络通信提供了一套丰富的方法和属性,大多数情况下,Socket 类方法只是将数据封送到它们的本机Win32 副本中并处理任何必要的安全检查.Socket 类允许使用 ProtocolType 枚举中所列出的任何一种协议执行异步和同步数据传输.Socket 类遵循异步方法的 .NET Framework 命名模式:例如,同步 Receive 方法对应于异步 Be			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMr3r4p.html" rel="bookmark">续实例解析SOCKET编程模型之异步通信篇（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程|异步 异步客户端套接字在等待网络操作完成时不挂起应用程序.相反,它使用标准 .NET Framework 异步编程模型在一个线程上处理网络连接,而应用程序继续在原始线程上运行.异步套接字适用于大量使用网络或不能等待网络操作完成才能继续的应用程序. Socket 类遵循异步方法的 .NET Framework 命名模式:例如,同步 Receive 方法对应异步 BeginReceive 和 EndReceive 方法. 异步操作要求回调方法返回操作结果.如果应用程序不需要知道结果,则不需要任			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWyqmz.html" rel="bookmark">基本的 ADO 编程模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|编程 基本的 ADO 编程模型 ADO 提供执行以下操作的方式: 连接到数据源.同时,可确定对数据源的所有更改是否已成功或没有发生. 指定访问数据源的命令,同时可带变量参数,或优化执行. 执行命令. 如果这个命令使数据按表中的行的形式返回,则将这些行存储在易于检查.操作或更改的缓存中. 适当情况下,可使用缓存行的更改内容来更新数据源. 提供常规方法检测错误(通常由建立连接或执行命令造成). 在典型情况下,需要在编程模型中采用所有这些步骤.但是,由于 ADO 有很强的灵活性,所以最后只需执			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMN6LdM.html" rel="bookmark">使用对象的 ADO 编程模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|编程|对象 使用对象的 ADO 编程模型 ADO 的目标是访问.编辑和更新数据源,而编程模型体现了为完成该目标所必需的系列动作的顺序.ADO 提供类和对象以完成以下活动: 连接到数据源 (Connection),并可选择开始一个事务. 可选择创建对象来表示 SQL 命令 (Command). 可选择在 SQL 命令中指定列.表和值作为变量参数 (Parameter). 执行命令 (Command.Connection 或 Recordset). 如果命令按行返回,则将行存储在缓存中 (R			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBQ44z.html" rel="bookmark">基本的 RDS 编程模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程 基本的 RDS 编程模型 RDS 为在如下环境中存在的应用程序确定地址:客户端应用程序指定将在服务器上执行的程序,并指定用来返回相应信息的参数.服务器上被调用的程序访问指定的数据源,检索信息,对数据进行相应处理,然后将结果信息按易于使用的格式返回给客户端应用程序. RDS 为您提供了执行以下系列操作的方式: 指定在服务器上被调用的程序,并得到从客户端引用该程序的途径.(该引用有时称为&quot;代理&quot;,它代表远程服务器程序.客户端应用程序象调用本地程序一样&quot;调用&quot;代理,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM17EKz.html" rel="bookmark">RDS 编程模型详细资料</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程 RDS 编程模型详细资料 下列元素是 RDS 编程模型中的关键部分: RDS.DataSpace RDSServer.DataFactory RDS.DataControl 事件 RDS.DataSpace 客户端应用程序必需指定服务器和要调用的服务器程序.相应的,应用程序接收对服务器程序的引用,并且将此引用当作实际的服务器程序. RDS 对象模型通过 RDS.DataSpace 对象来体现该功能. 使用程序标识符(即 ProgID)来指定服务器程序.服务器使用 ProgID 和服务器计算			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwlGvb.html" rel="bookmark" class="title">PPT幻灯片默认视图模式怎么设置</a>
					<div>
						    PPT幻灯片默认视图模式怎么设置         1.启动PowerPoint 2013,单击&quot;文件&quot;标签打开&quot;文件&quot;窗口,在左侧的列表中选择&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYDe9b.html" rel="bookmark" class="title">掌握防火墙高级检测技术</a>
					<div>
						多年来,企业一直依靠状态检测防火墙.入侵检测系统.基于主机的防病毒系统和反垃圾邮件解决方案来保证企业用户和资源的安全.但是情况在迅速改变,那些传统的单点防御安全设备面临新型攻击已难以胜任.为了检测出最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK167p.html" rel="bookmark" class="title">ASP&period;NET技巧：开发时复制aspx网页的方法</a>
					<div>
						asp.net|技巧|网页 简单的copy /paste    *.aspx网页,所使用的是同一个CodeBehind  ,这往往不是我们所想要的!!! 我们一般都希望使这两个网页具有各自的  *.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ4V6M.html" rel="bookmark" class="title">ASP小技巧：对Server&period;UrlEncode进行字符反编译</a>
					<div>
						encode|server|编译|技巧 我们这里试输出一段字符:&lt;%response.write Server.UrlEncode(&quot;织梦幻影&quot;)%&gt;,页面显示结果为: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBvy4b.html" rel="bookmark" class="title">java密码如何实现MD5加密</a>
					<div>
						import java.security.MessageDigest; import java.security.NoSuchAlgorithmException; import org.apache ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk24ZdM.html" rel="bookmark" class="title">汇编源码系列之cleanf</a>
					<div>
						这个都是过去DOS时代的汇编源码,虽然已经过去了,但是对于学习汇编还是有帮助的,汇编语言只是程序员一门基础语言,大多人掌握即可,不一定要深入研究....... name cleanf page 55, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1Ggjz.html" rel="bookmark" class="title">Galaxy Nexus与Nexus 7设备Android 4&period;2 ROM下载地址</a>
					<div>
						目前谷歌已经逐步开始向Galaxy Nexus用户以OTA升级的形式推送全新的Android 4.2果冻豆系统,不过如果你缺乏耐心,希望可以直接手动升级,那么这里的方法或许对你来讲非常适用.目前谷歌服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaVoQM.html" rel="bookmark" class="title">定制个性化的对话框窗口类</a>
					<div>
						相信很多人在VC下开发程序的时候大多都会采用基于对话框的开发吧,我也不例外,大多数的小型测试程序没有必要开发基于文档/视图的结构来测试,只要使用一些基本的对话框程序就可以达到这个目的 . 但是在开发基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRryYz.html" rel="bookmark" class="title">oracle 11&period;1&period;0&period;7版本也会出现access&dollar;表丢失导致数据库无法启动</a>
					<div>
						下面我们来看看oracle 11.1.0.7版本也会出现access$表丢失导致数据库无法启动,有需要了解的朋友可以进入看看吧. 有网友咨询数据库启动报ora-01092:ORACLE 实例终止.强制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7v7NM.html" rel="bookmark" class="title">Oracle导入、导出程序使用详解</a>
					<div>
						  Oracle数据库对于我们审计人员来讲,应该是既熟悉又陌生,熟悉的是在计算机辅助审计中,常常要从被审计单位的Oracle数据库中导出数据,然后再导入到自己电脑的Oracle数据库中,通过如ACCS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwwDKp.html" rel="bookmark" class="title">关于4G你最需要了解的几个问题</a>
					<div>
						  工信部发布公告称,向中国移动.中国电信和中国联通颁发&quot;LTE/第四代数字蜂窝移动通信业务(TD-LTE)&quot;经营许可. 由此,中国的正式进入4G商用时代.根据工信部的公告,中国移 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3v94p.html" rel="bookmark" class="title">2345王牌浏览器智能导航快速打开网址</a>
					<div>
						  在地址栏中输入网址,智能导航会自动帮你对网址进行补全和联想,让你可以最快访问你要的网址,还可帮助你记起不记得完整域名的网址.他还会根据你的访问习惯,最近.最常上的网址,排列优先级在下拉菜单中显示.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG9KWp.html" rel="bookmark" class="title">中国移动和彩云业务云盘功能介绍</a>
					<div>
						  和彩云是中国移动推出的一款云存储应用. --容量 最高获得免费16G永久空间,还可以免费扩容(参与活动做任务)或者付费扩容. --登录 用飞信号登录(联通.电信也可以注册)实现手机和电脑的数据同步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywDNdz.html" rel="bookmark" class="title">常见路由器故障及解决方法</a>
					<div>
						  针对大家在使用路由器过程中遇到的问题,小编我认为有必要普及一下路由器的一些小知识,我相信只要你认真看完,你就会豁然开朗,发现上网不再是难事!! 一.Wan口无连接 二.Wan口有连接,但连接失败. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVZL1b.html" rel="bookmark" class="title">动态创建的窗口类的句柄怎么获得</a>
					<div>
						问题描述 动态创建的窗口类的句柄怎么获得 如题 动态创建的窗口类的句柄怎么获得 请名位大侠帮帮忙 谢谢 解决方案 先使用SPY++找找规律,比如嵌套层次.窗口名.样式等等,然后用getwindow e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6RLqM.html" rel="bookmark" class="title">【简评】&lbrack;CVPR2017&rsqb;Loss Max-Pooling for Semantic Image Segmentation</a>
					<div>
						现有方法 1.构建数据集时近似均匀地采样,保证每种类别分布较为均匀 这种方法在image-level上还比较方便操作,在semantic segmentation上难以保证 2.对minority c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN736Np.html" rel="bookmark" class="title">计算机视觉库&sol;人脸识别开源软件</a>
					<div>
						中文车牌识别系统 EasyPR EasyPR 是一个开源的中文车牌识别系统. EasyPR是一个中文的开源车牌识别系统,其目标是成为一个简单.灵活.准确的车牌识别引擎. 相比于其他的车牌识别系统,Ea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgd1wb.html" rel="bookmark" class="title">DevExpress里 TreeList怎么获取最后一个节点的text值</a>
					<div>
						问题描述 DevExpress里TreeList怎么获取最后一个节点的text值麻烦各位了 解决方案 解决方案二:treeList1.Nodes.LastNode.GetDisplayText(列序號 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AlEoz.html" rel="bookmark" class="title">完美和太阳神违法直销被查被停业整顿</a>
					<div>
						继隆力奇陷入传销舆论漩涡之后,直销行业再传消息:由于涉嫌违法直销,最近完美.太阳神等直销企业的专卖店被广东怀集县工商部门调查. 怀集是广东肇庆下属的欠发达山区县,曾是传销活跃的地区,经过严打,传销一度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL0XZp.html" rel="bookmark" class="title">hibernate的查询问题</a>
					<div>
						问题描述 我现在有一个user和organ表,organ多对一单向关联到user,因为user没有关联organ,所以不可以通过user.getOrgan()这样的形式来获取organ,请问大家知道怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5meAp.html" rel="bookmark" class="title">传雅虎秘密搜索用户电邮为美国安全官员提供信息</a>
					<div>
						据路透社报道,有熟知内情的消息人士透露,雅虎去年秘密开发了一个定制软件程序,用于搜索全部用户所收到的实时电子邮件,目的是查找由美国情报官员向其提供的特定信息. 据两名雅虎前员工以及一名已获悉相关事宜的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRBEWp.html" rel="bookmark" class="title">《VMware Virtual SAN权威指南（原书第2版）》一2&period;2　VSAN的要求</a>
					<div>
						2.2 VSAN的要求 在开始启用VSAN之前,我们强烈建议vSphere管理员首先验证一下环境是否满足了所有的前提条件和要求.下面的列表中我们还增加了一些从基础架构的角度来增强弹性的建议: 标准数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0adQp.html" rel="bookmark" class="title">如何JAVA客户端自动加载HTML页面（弹出页面）</a>
					<div>
						问题描述 代码应该怎么写?请各位指导下.谢谢! 解决方案 解决方案二:aGUI界面中加载HTML页面importjavax.swing.*;importjava.awt.*;importjava.io ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg6r5M.html" rel="bookmark" class="title">专访邵晓锋：支付宝不以盈利为目的，从来都没想过IPO</a>
					<div>
						支付宝总裁邵晓锋 5月27日上午消息,支付宝总裁邵晓锋今日在杭州接受新浪科技专访时表示,支付宝不以盈利为目的,因此从来就没有想过IPO的问题.他还透露,支付宝全力支持国家政策与发展需要,即使要把支付宝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAaYNp.html" rel="bookmark" class="title">赢在20之外&colon;DoNews独家专访盛大副总裁李瑜</a>
					<div>
						盛大的&quot;20计划&quot;立足以人为本,聚焦内部创业,也是人力资源战略与具体业务导向的有效结合.招募计划推出后引起业界强烈反响.设计者初衷如何?此举折射的盛大理念成色几许?盛大为人才加盟作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBxjWb.html" rel="bookmark" class="title">2017 数博会&colon;聚焦大数据安全与挑战</a>
					<div>
						5月27日上午,2017中国国际大数据产业博览会(简称&quot;2017数博会&quot;)分论坛&quot;大数据网络应用安全技术高峰论坛&quot;在贵阳国际生态会议中心成功举办.论坛聚焦大数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqxnnb.html" rel="bookmark" class="title">求指教ASPXPAGECONTROL加载CELL的问题</a>
					<div>
						问题描述 我在.net中用了ASPxPageControl这个控件,在第一个TabPage中加载华表CELL模板成功,但是切换到第二个TabPage页面后,再次加载华表CELL的另一个模板就不成功了. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkZVeyM.html" rel="bookmark" class="title">1、提供一个提交的按钮，并在按钮的OnClick事件中添加代码，用于完成文件上传。</a>
					<div>
						问题描述 1.提供一个提交的按钮,并在按钮的OnClick事件中添加代码,用于完成文件上传.2.限制上传文件的类型,例如,限制为.jpg和.bmp类型的图片文件.3.限制上传文件的大小为100K..  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6qAOWb.html" rel="bookmark" class="title">如何改变DropDownLis使得Repeater里内容更新？</a>
					<div>
						问题描述 有三个表Markmarkid|recorderID|tatalScore131910232030RecordertestID|recorderID|userID5319aa6320bbTes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvq3Q6b.html" rel="bookmark" class="title">东芝倾向于将闪存芯片业务卖给美日韩联合体</a>
					<div>
						6月20日消息,据国外媒体报道,东芝预计将在月底决定闪存芯片业务的最终买家,而此前出价最高的由富士康和苹果等企业组成的竞购团,有可能在竞购中白忙活一场,因为外媒的消息显示,东芝更倾向于将闪存芯片业务卖 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
